Subject: bug#23423: 25.0.93; Opening file from the command line stays in *GNU Emacs* buffer

From: Jan Synacek <[email-masked]>
Date: Tue, 3 May 2016 13:28:49 +0200

On Tue, May 3, 2016 at 9:06 AM, Jan Synacek <[email-masked]> wrote:
> On Mon, May 2, 2016 at 5:18 PM, Eli Zaretskii <[email-masked]> wrote:
>>
>> > From: [email-masked] (Jan Synáček)
>> > Date: Mon, 02 May 2016 12:32:04 +0200
>> >
>> > 1) Install emacs and run 'emacs <any file>' from the command line.
>> >
>> > The file is opened, but you have to switch to its buffer because, for
>> > some reason, the splash screen stays as the current buffer. You can work
>> > around this by running emacs with '--no-splash'.
>>
>> I cannot reproduce this.  I get either the file's buffer alone in its
>> frame, or a 2-window frame with file displayed in the selected window,
>> and the splash screen in the other one.
>>
>> Are you sure it's not some of the customizations that run from your
>> ~/.emacs or site-start file?
>
>
> I can reproduce the problem when running '
> emacs -q --no-site-file
> file'.
>
> I'm trying this on Fedora Rawhide with emacs built without any patches.
> However, there seems to be a bug in gtk3 that makes emacs start
> in a very small window, which cannot be split. Might that be the problem?
> When I run 'emacs -q --no-site-file file -mm file', I *sometimes* get the split
> and sometimes see only the splash screen.

It turns out that the gtk bug I was referring to was an incompatibility and was
fixed in emacs git [1]. And it also turns out that my original bug report is not
reproducible with the patch applied. However, I still think that the
buffer should
be visible in case emacs is run with the splash screen and the window is so
small that it cannot be split.

[1] http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=afc9e6542aa6f2d0d7986db3d8c2cb654e107443

-- 
Jan Synacek
Software Engineer, Red Hat